import sys


def loading_bar(i, n):
    """Prints a loading bar to the terminal.

    Args:
        i (int): Current iteration.
        n (int): Total number of iterations.
    """
    i += 1
    steps = 30
    percent = (i / n) * 100
    complete = int((i / n) * steps)
    bar = "█" * complete + " " * (steps - complete)
    print(f"\r[{bar}] {percent:.2f}% Complete {i}/{n}", end="")
    sys.stdout.flush()
    if percent == 100:
        print()